Subject: Re: [precis] order of mapping in draft-yoneya-precis-mappings

From: Takahiro Nemoto <[email-masked]>
Date: Wed, 3 Oct 2012 12:28:39 +0900

Hi, Peter-san, thank you for comments.

Draft-yoneya-precis-mappings defines mappings that must be considered 
between receiving user input and passing permitted code points to internationalized
protocols as a guideline for authors of protocol profiles of precis framework.
Yoneya-san and I think we described about mappings that are undescribed
in precis framework and it's preferable to perform before precis framework like RFC5895.
So, this document don't mention processing order of precis framework.

But, I made sure that draft-ietf-precis-framework-06 defines Additional 
Mappings. I don't necessarily want to perform mappings before precis framework.
But I think it's preferable to perform Additional Mappings then Casemapping
if Additional Mapping may include local case mapping is in section 4.3. of 
draft-yoneya-precis-mappings. Because local case mapping makes no sense
to perform after casemapping.

For example, U+0049(LATIN CAPITAL LETTER I) in Turkish should be mapped 
to U+0131(LATIN CAPITAL LETTER I).

I investigated Unicode characters that need local case mapping with 
the Specialcasing.txt in section 3.13 of The Unicode Standerd after 
I received comments during at Vancouver meeting. And I found the characters 
in a few language. And then I checked whether the characters are affected 
by order of local case mapping and normal casemapping that 
the Casefolding.txt of The Unicode Standerd defines.
I'm writing about this characters in next draft-yoneya-precis-mappings
and I'm going to submit it shortly.

Any comment would be greatly appreciated when the draft was submitted.

Nemo

--
Takahiro Nemoto
[email-masked]

On 2012/09/24, at 2:55, Peter Saint-Andre <[email-masked]> wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Section 5 of draft-yoneya-precis-mappings states that the additional
> mappings are to be performed before applying the rules from
> draft-ietf-precis-framework. This seems to imply that these additional
> mappings will be applied before Unicode normalization. In Vancouver, I
> thought we concluded that we want to perform normalization before
> applying other mappings (as is done in IDNA2008). It would be good for
> us to be completely clear about the order here, in the framework spec,
> and in the specs for application protocols that reuse PRECIS.
> 
> Peter
> 
> - -- 
> Peter Saint-Andre
> https://stpeter.im/
> 
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG/MacGPG2 v2.0.18 (Darwin)
> Comment: Using GnuPG with Mozilla - http://www.enigmail.net/
> 
> iEYEARECAAYFAlBfTQgACgkQNL8k5A2w/vy7OACg1RXn1DY4aGioUJPBV/WnhUe7
> bHsAnjoO8/md8c97YQyQed3+tAv4vCDN
> =fMhi
> -----END PGP SIGNATURE-----
> _______________________________________________
> precis mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/precis